require "speak_bot/version"

module SpeakBot
  class Error < StandardError; end
  
  class Bot
    def self.pets
      print "Bianca: Do you have any pets? >> "
      pets = gets.chomp

      phrase = "Bianca: I also like #{pets}.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.hobbies
      print "Bianca: Do you have any hobbies? >> "
      hobbies = gets.chomp

      phrase = "Bianca: Ah! #{hobbies} sound like fun.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.jobs
      print "Bianca: Do you have any jobs? >> "
      jobs = gets.chomp

      phrase = "Bianca: #{jobs} sounds like a nice job.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.skills
      print "Bianca: Do you have any skills? >> "
      skills = gets.chomp

      phrase = "Bianca: I also like #{skills}.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.likes
      print "Bianca: What do you like? >> "
      likes = gets.chomp

      phrase = "Bianca: I also like #{likes}.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.dislikes
      print "Bianca: Do you have any dislikes? >> "
      dislikes = gets.chomp

      phrase = "Bianca: I also dislike #{dislikes}.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end

    def self.weather
      print "Bianca: What is the weather? >> "
      weather = gets.chomp

      phrase = "Bianca: I suppose it must be #{weather} then.\n"

      speech = ESpeak::Speech.new(phrase)
      speech.speak

      puts phrase
    end
  end
end
